var editor = {
	
	cont : null,
	editing : null,
	txtArea : null,
	
	init : function () {
		var p = document.getElementsByTagName('p');
		for (var i=0; i<p.length; i++) {
			p[i].onclick = editor.edit_start;
		}
	},
	
	edit_start : function () {
		
		if (editor.editing == null) {
			
			var cont = document.createElement('div');
			this.parentNode.insertBefore(cont,this);
			
			var txtArea = document.createElement('textarea');
			txtArea.setAttribute('cols',70);
			txtArea.setAttribute('rows',5);
			cont.appendChild(txtArea);
			
			var button = document.createElement('input');
			button.setAttribute('type','submit');
			button.setAttribute('value','uložit');
			button.onclick = editor.edit_save;
			cont.appendChild(button);
			
			txtArea.value = this.innerHTML;
			this.style.display = 'none';
			
			editor.cont = cont;
			editor.editing = this;
			editor.txtArea = txtArea;
		}
	},
	
	edit_save : function () {
		editor.editing.innerHTML = editor.txtArea.value;
		editor.editing.style.display = 'block';
		editor.cont.parentNode.removeChild(editor.cont);
		editor.editing = null;
	}

}

window.onload = editor.init;