var editor = {
  
  cont : null,
  txtArea : null,
  editing : null,
  
  init : function () {
    var odstavec = document.getElementsByTagName('p');
    for (var i=0; i<odstavec.length; i++) {
      odstavec[i].onclick = editor.start;
    }
  },
  
  start : function () {
    if (editor.editing == null) {
      editor.cont = document.createElement('div');
      this.parentNode.insertBefore(editor.cont,this);
      
      editor.txtArea = document.createElement('textarea');
      editor.txtArea.setAttribute('cols',70);
      editor.txtArea.setAttribute('rows',5);
      editor.cont.appendChild(editor.txtArea);
      
      var button = document.createElement('input');
      button.setAttribute('type','submit');
      button.setAttribute('value','uložit');
      button.onclick = editor.save;
      editor.cont.appendChild(button);
      
      editor.txtArea.value = this.innerHTML;
      this.style.display = 'none';
      
      editor.editing = this;
    }
  },
    
  save : function () {
    editor.editing.innerHTML = editor.txtArea.value;
    editor.editing.style.display = 'block';
    editor.cont.parentNode.removeChild(editor.cont);
    editor.editing = null;
  }
  
}

window.onload = editor.init;
